"use strict";

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

require("./Stepper.scss");

var _io = require("react-icons/io");

var _reactI18next = require("react-i18next");

var _reactBootstrap = require("react-bootstrap");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function Stepper(_ref) {
  var steps = _ref.steps,
      completedSteps = _ref.completedSteps,
      activeStep = _ref.activeStep,
      finalCompleteStep = _ref.finalCompleteStep;

  var _useTranslation = (0, _reactI18next.useTranslation)(),
      t = _useTranslation.t;

  var stepperWidth = {
    6: 10,
    5: 8,
    4: 7,
    3: 5
  };
  return /*#__PURE__*/_react.default.createElement("div", {
    className: 'stepper-main'
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Row, {
    className: 'p-0'
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Col, {
    xs: stepperWidth[steps.length] || 10,
    className: 'p-0 m-auto'
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: 'stepper-container'
  }, steps && steps.map(function (step, index) {
    return /*#__PURE__*/_react.default.createElement(_react.Fragment, {
      key: 'step-' + index
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: activeStep === step.number ? 'step active-step' : 'step'
    }, Object.keys(completedSteps).length !== 0 && completedSteps[step.number] || finalCompleteStep === activeStep ? /*#__PURE__*/_react.default.createElement(_io.IoIosCheckmarkCircle, null) : /*#__PURE__*/_react.default.createElement("p", {
      className: 'step-number'
    }, /*#__PURE__*/_react.default.createElement("span", {
      className: 'number'
    }, step.number)), /*#__PURE__*/_react.default.createElement("p", {
      className: 'step-title'
    }, t(step.title))), steps.length - 1 !== index && /*#__PURE__*/_react.default.createElement("div", {
      className: completedSteps[step.number] ? 'divider-steps divider-complete' : 'divider-steps'
    }));
  })))));
}

var _default = Stepper;
exports.default = _default;