"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactI18next = require("react-i18next");

var _bi = require("react-icons/bi");

var _reactRouterDom = require("react-router-dom");

require("./NotificationDropdown.scss");

function NotificationDropdown(_ref) {
  var show = _ref.show,
      notifications = _ref.notifications;

  var _useTranslation = (0, _reactI18next.useTranslation)(),
      t = _useTranslation.t,
      i18n = _useTranslation.i18n;

  return show && /*#__PURE__*/_react.default.createElement("div", {
    className: 'dropdown-container'
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: 'dropdown-header'
  }, /*#__PURE__*/_react.default.createElement("h1", {
    className: 'notification-title'
  }, t('Notifications')), /*#__PURE__*/_react.default.createElement("span", null, t('Unread'), " (", notifications.unreadCounter, ")")), /*#__PURE__*/_react.default.createElement("div", {
    className: 'dropdown-body'
  }, notifications.data && notifications.data.map(function (notification, index) {
    return /*#__PURE__*/_react.default.createElement("div", {
      key: 'dropdown-item-' + index,
      className: 'notification-item-container'
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: 'notification-item-top'
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: 'date-and-type'
    }, /*#__PURE__*/_react.default.createElement("span", {
      className: 'date'
    }, notification.time), /*#__PURE__*/_react.default.createElement("span", {
      className: 'type'
    }, t(notification.type))), notification.flag === 'warning' ? /*#__PURE__*/_react.default.createElement("span", {
      className: 'warning-icon'
    }, /*#__PURE__*/_react.default.createElement(_bi.BiError, null)) : /*#__PURE__*/_react.default.createElement("span", {
      className: 'failed-icon'
    }, /*#__PURE__*/_react.default.createElement(_bi.BiErrorCircle, null))), /*#__PURE__*/_react.default.createElement("h2", {
      className: 'notification-item-title'
    }, t(notification.title)), /*#__PURE__*/_react.default.createElement("p", {
      className: 'notification-item-desc'
    }, t(notification.desc)));
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: 'dropdown-footer'
  }, /*#__PURE__*/_react.default.createElement(_reactRouterDom.Link, {
    to: '/notifications',
    className: 'p-0 view-notification'
  }, t('View All'))));
}

var _default = NotificationDropdown;
exports.default = _default;