"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactBootstrap = require("react-bootstrap");

var _reactI18next = require("react-i18next");

var _jsCookie = _interopRequireDefault(require("js-cookie"));

require("./drawer.scss");

function Drawer(_ref) {
  var title = _ref.title,
      children = _ref.children,
      handleClose = _ref.handleClose,
      show = _ref.show,
      classes = _ref.classes,
      withoutHeader = _ref.withoutHeader;

  var _useTranslation = (0, _reactI18next.useTranslation)(),
      t = _useTranslation.t,
      i18n = _useTranslation.i18n;

  var currentLanguageCode = _jsCookie.default.get('i18next') || 'ar';
  return /*#__PURE__*/_react.default.createElement(_reactBootstrap.Offcanvas, {
    show: show,
    onHide: handleClose,
    placement: currentLanguageCode == 'ar' ? 'start' : 'end',
    className: classes
  }, !withoutHeader ? /*#__PURE__*/_react.default.createElement(_reactBootstrap.Offcanvas.Header, null, /*#__PURE__*/_react.default.createElement("div", {
    className: 'drawer-header'
  }, t(title))) : null, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Offcanvas.Body, null, children));
}

var _default = Drawer;
exports.default = _default;