"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ModalCustom;

var _reactBootstrap = require("react-bootstrap");

var _reactI18next = require("react-i18next");

require("./modal-custom.scss");

var _jsCookie = _interopRequireDefault(require("js-cookie"));

var _bs = require("react-icons/bs");

function ModalCustom(_ref) {
  var show = _ref.show,
      onHide = _ref.onHide,
      title = _ref.title,
      action = _ref.action,
      actionTitle = _ref.actionTitle,
      className = _ref.className,
      children = _ref.children,
      withoutHeader = _ref.withoutHeader,
      withoutFooter = _ref.withoutFooter,
      back = _ref.back,
      actionBack = _ref.actionBack;

  var _useTranslation = (0, _reactI18next.useTranslation)(),
      t = _useTranslation.t,
      i18n = _useTranslation.i18n;

  var currentLanguageCode = _jsCookie.default.get('i18next') || 'ar';
  return React.createElement(_reactBootstrap.Modal, {
    show: show,
    onHide: onHide,
    size: 'md',
    "aria-labelledby": 'contained-modal-title-vcenter',
    className: "".concat(className),
    centered: true
  }, !withoutHeader && React.createElement(_reactBootstrap.Modal.Header, {
    closeButton: true
  }, React.createElement(_reactBootstrap.Modal.Title, {
    id: 'contained-modal-title-vcenter'
  }, back ? React.createElement("span", {
    className: 'arrow-back',
    onClick: actionBack
  }, currentLanguageCode === 'en' ? React.createElement(_bs.BsArrowLeftShort, null) : React.createElement(_bs.BsArrowRightShort, null)) : '', t(title))), React.createElement(_reactBootstrap.Modal.Body, null, children), !withoutFooter && React.createElement(_reactBootstrap.Modal.Footer, null, React.createElement(_reactBootstrap.Button, {
    onClick: onHide,
    className: 'cancel-btn',
    variant: 'light',
    type: 'button'
  }, t('Cancel')), React.createElement(_reactBootstrap.Button, {
    variant: 'primary',
    className: 'btn-dark-c',
    onClick: action
  }, t(actionTitle))));
}