"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactBootstrap = require("react-bootstrap");

var _moment = _interopRequireDefault(require("moment"));

require("./Header.scss");

var _reactI18next = require("react-i18next");

var _jsCookie = _interopRequireDefault(require("js-cookie"));

var _reactRouterDom = require("react-router-dom");

var Header = function Header(_ref) {
  var lastSaved = _ref.lastSaved,
      handleSave = _ref.handleSave,
      saveBtnText = _ref.saveBtnText;

  var _useTranslation = (0, _reactI18next.useTranslation)(),
      t = _useTranslation.t,
      i18n = _useTranslation.i18n;

  var currentLanguageCode = _jsCookie.default.get('i18next') || 'ar';
  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Navbar, {
    bg: 'primary',
    variant: 'primary',
    expand: 'lg'
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Container, {
    fluid: true
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Navbar.Brand, {
    as: _reactRouterDom.Link,
    to: '/'
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: require("@assets/img/logo.png"),
    alt: 'Logo',
    className: 'site-logo',
    width: '103'
  })), /*#__PURE__*/_react.default.createElement(_reactBootstrap.Nav, {
    className: 'justify-content-end'
  }, /*#__PURE__*/_react.default.createElement("span", {
    className: lastSaved && lastSaved !== null ? 'navbar-text me-3' : 'd-none'
  }, t('Saved'), " ", (0, _moment.default)(lastSaved).fromNow()), /*#__PURE__*/_react.default.createElement(_reactBootstrap.Button, {
    variant: 'light',
    className: 'action-btn',
    size: 'sm',
    onClick: handleSave
  }, saveBtnText)))));
};

var _default = Header;
exports.default = _default;