"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = require("react");

var _reactBootstrap = require("react-bootstrap");

var _SupportPopover = _interopRequireDefault(require("@components/SupportPop/SupportPopover"));

require("./SideBar.scss");

var _reactI18next = require("react-i18next");

var _jsCookie = _interopRequireDefault(require("js-cookie"));

var SideBar = function SideBar(_ref) {
  var headerTitle = _ref.headerTitle,
      headerDescription = _ref.headerDescription,
      steps = _ref.steps,
      currentStep = _ref.currentStep;
  var progress = Math.floor(currentStep / steps.length * 100);

  var _useTranslation = (0, _reactI18next.useTranslation)(),
      t = _useTranslation.t,
      i18n = _useTranslation.i18n;

  var currentLanguageCode = _jsCookie.default.get('i18next') || 'ar';

  function getStepStatus(currentIndx) {
    if (currentIndx === currentStep) {
      return 'active';
    } else if (currentIndx < currentStep) {
      return 'completed';
    } else {
      return 'disabled';
    }
  }

  var stepsInstance = steps.map(function (step, index) {
    return _react.React.createElement(_reactBootstrap.ListGroup.Item, {
      as: 'li',
      key: index,
      className: getStepStatus(index + 1)
    }, step.title);
  });

  var wizardSteps = function wizardSteps() {
    return _react.React.createElement(_reactBootstrap.ListGroup, {
      as: 'ol',
      className: 'wizard-steps'
    }, stepsInstance);
  };

  return /*#__PURE__*/_react.React.createElement(_react.React.Fragment, null, _react.React.createElement("div", {
    className: 'side-bar d-none d-md-flex align-content-between flex-column '
  }, _react.React.createElement("div", {
    className: 'side-bar-header mt-5 mb-3 d-flex flex-column'
  }, _react.React.createElement("h4", null, headerTitle), _react.React.createElement("p", null, headerDescription)), _react.React.createElement("div", {
    className: 'side-bar-body d-flex flex-column flex-grow-1'
  }, _react.React.createElement("div", {
    className: 'side-bar-body-content'
  }, _react.React.createElement("div", {
    className: 'side-bar-body-content-steps'
  }, wizardSteps()), _react.React.createElement("div", {
    className: 'side-bar-body-content-progress mt-4'
  }, _react.React.createElement("p", null, t('You finished'), " ", _react.React.createElement("b", null, "".concat(progress), "%"), ' ', t('of the application')), _react.React.createElement(_reactBootstrap.ProgressBar, {
    variant: 'success',
    now: progress
  })))), _react.React.createElement(_SupportPopover.default, {
    placement: 'top'
  })));
};

var _default = SideBar;
exports.default = _default;