"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useScroll = exports.scrollToTop = void 0;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = require("react");

var scrollToTop = function scrollToTop() {
  return window.scrollTo({
    top: 0,
    behavior: 'smooth'
  });
};

exports.scrollToTop = scrollToTop;

var throttle = function throttle(callback, sleepTime) {
  var time = Date.now();
  return function () {
    if (time + sleepTime - Date.now() < 0) {
      callback.apply(void 0, arguments);
      time = Date.now();
    }
  };
};

var useScroll = function useScroll() {
  var _useState = (0, _react.useState)(window.scrollY),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      scrollPosition = _useState2[0],
      setScrollPosition = _useState2[1];

  var updateScrollPosition = throttle(function () {
    setScrollPosition(window.scrollY);
  }, 100);
  (0, _react.useEffect)(function () {
    window.addEventListener('scroll', updateScrollPosition);
    return function () {
      return window.removeEventListener('scroll', updateScrollPosition);
    };
  }, [updateScrollPosition]);
  return scrollPosition;
};

exports.useScroll = useScroll;